

function pokebox(x,y,with)

	if with == 1 then grid[x][y] = {1,"iron"}
	else grid[x][y] = {1,"copper"} end

	combinecheck(x,y,1)
end

function combinecheck(x,y,tier)

	function touchingcheck(xx,yy,f)
		if grid[xx][yy][1]==tier then
			f(xx,yy)
			--------
			if (not (x == xx+1 and y== yy  ) and grid[xx+1][yy  ][1]==tier) then f(xx+1,yy  ) end
			if (not (x == xx-1 and y== yy  ) and grid[xx-1][yy  ][1]==tier) then f(xx-1,yy  ) end
			if (not (x == xx   and y== yy+1) and grid[xx  ][yy+1][1]==tier) then f(xx  ,yy+1) end
			if (not (x == xx   and y== yy-1) and grid[xx  ][yy-1][1]==tier) then f(xx  ,yy-1) end
		end
	end

	touchingcount = 0
	function count(xx,yy)
		touchingcount = touchingcount + 1
	end

	local combine_table = {grid[x][y][2],"z_empty","z_empty","z_empty","z_empty","z_empty","z_empty"}
	local combine_pos = 2

	function zero(xx,yy)
		combine_table[combine_pos]=grid[xx][yy][2]
		combine_pos = combine_pos + 1
		grid[xx][yy]= {0,"none"}
	end


	touchingcheck(x+1,y  ,count)
	touchingcheck(x-1,y  ,count)
	touchingcheck(x  ,y+1,count)
	touchingcheck(x  ,y-1,count)
	
	print(touchingcount)
	------

	if (touchingcount >= 2) then

		touchingcheck(x+1,y  ,zero)
		touchingcheck(x-1,y  ,zero)
		touchingcheck(x  ,y+1,zero)
		touchingcheck(x  ,y-1,zero)

		--combine_table = table.sort(combine_table)

		grid[x][y]= tier_1_table(combine_table)
		print(grid[x][y][1])
		print(grid[x][y][2])
		--combinecheck(x,y,size+1)
	end
end















---------------


function love.load()
    grid = {}
    gridsize = {x=7,y=12}
    for i=0,gridsize.x+1 do
    	grid[i]={}
    	for j=0,gridsize.y+1 do  -- todo? make proper edge checking?
    		grid[i][j]={0,"none"}
    	end
    end
    boxsize = {x=48,y=48}
    orefile= love.filesystem.load("ore_combo.lua")
    orefile()
    print(tier_1_table({"iron","iron","iron","z_empty","z_empty","z_empty","z_empty"})[2])
    print(tier_1_table({"blah","blah","blah","blah","blah","blah","blah"})[2])
end
 

function love.update(dt)

end

function love.mousepressed(x, y, button, istouch)
 -- Versions prior to 0.10.0 use the MouseConstant 'l'
      pokebox(
      	math.ceil(x/boxsize.x),
      	math.ceil(y/boxsize.y),
      	button)
end



-------

function graphics_table(string)
	-- body
end

function num(x)
	if x then return 1 else return 0 end
end

function drawbox(x,y)
	local tier=grid[x][y][1]
	love.graphics.setColor(
		num(tier == 0),
		num(tier == 1),
		num(tier == 2))
	love.graphics.print(grid[x][y][2],(x-1)*boxsize.x+12,(y-1)*boxsize.y,1)
end


 

function love.draw()
	--- draw grid
	love.graphics.setColor(1,1,1)
	for i=0,gridsize.x do
		love.graphics.line(i*boxsize.x,0,i*boxsize.x,gridsize.y*boxsize.y)
	end
	for i=0,gridsize.y do
		love.graphics.line(0,i*boxsize.y,gridsize.x*boxsize.x,i*boxsize.y)
	end


--- draw boxes
	for i=1,gridsize.x do
		for j=1,gridsize.y do
			drawbox(i,j)
		end

	end

end